summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-10-17 10:47:25 +0200
committerHolger Levsen <holger@layer-acht.org>2016-10-17 10:47:58 +0200
commit353173391ff28ab971ac2d0b91f35fbcaf31721c (patch)
tree8fcf2645fa3bec9b3fe1d63188d7686c536caa9d
parentc0a51b7b74ceb8dca8202790fdb23c1717037729 (diff)
downloadjenkins.debian.net-353173391ff28ab971ac2d0b91f35fbcaf31721c.tar.xz
reproducible Debian: notify the irc channel if the proxy is gone, which seems to be an i386 only problem which needs a bug report…
-rwxr-xr-xbin/reproducible_maintenance.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 08ccad47..c9be3d10 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -42,8 +42,15 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
fi
# for Debian, first run some checks…
+set +e
+# check for working proxy
echo "$(date -u) - testing whether the proxy works..."
curl http://www.debian.org > /dev/null
+if [ $? -eq 1 ] ; then
+ irc_message debian-reproducible "Proxy is down for $HOSTNAME, please tell the jenkins admins to fix this. (sudo service squid3 restart)"
+ exit 1
+fi
+# check for correct MTU
echo "$(date -u) - testing whether the network interfaces MTU is 1500..."
if [ "$(ip link | sed -n '/LOOPBACK\|NOARP/!s/.* mtu \([0-9]*\) .*/\1/p' | sort -u)" != "1500" ] ; then
ip link
@@ -51,7 +58,6 @@ if [ "$(ip link | sed -n '/LOOPBACK\|NOARP/!s/.* mtu \([0-9]*\) .*/\1/p' | sort
irc_message debian-reproducible "$HOSTNAME has wrong MTU, please tell the jenkins admins to fix this. (sudo ifconfig eth0 mtu 1500)"
exit 1
fi
-set +e
echo "$(date -u) - updating the schroots and pbuilder now..."
# use host architecture (only)